<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number31</title>
</head>

<body>
	
	<h2> JavaScript Excercise</h2>
	
	<p> <b> No.31:</b> Write a JavaScript program to find the largest of three given integers.</p>
	
	<p> <b> Solution :</b></p>
	
	<div style="border: 1px dashed black; padding: 20px; width: 425px; height: auto;">
	  <input type="number" id="num1" placeholder="Enter First Number"><br>
	  <input type="number" id="num2" placeholder="Enter Second Number" style="margin-top: 5px;"><br>
	  <input type="number" id="num3" placeholder="Enter Third Number" style="margin-top: 5px;"><br>
	  <input type="button" onClick="generate()" name="gen" value="Generate!" style="margin-top: 5px;">
	  <pre id="demo"></pre>
	</div>
	
	<script>
	  function generate(){
		  var a = + document.getElementById('num1').value;
		  var b = + document.getElementById('num2').value;
		  var c = + document.getElementById('num3').value;
	      var str = " The largest number is ";
	  if (a > b && a > c) {
		   document.getElementById('demo').innerHTML=
			   str + a ;
	  } else if ( b > a && b > c) {
		  document.getElementById('demo').innerHTML=
			  str + b ; 
	  } else if (c > a && c > b) {
		  document.getElementById('demo').innerHTML=
			  str + c ;
	  } else {
		  document.getElementById('demo').innerHTML=
			  "Numers are Equal!!"
	  }
	  }
		
	</script>
</body>
</html>
